<?php
include('../includes/validador.php');
include('../conexiones/conex.php');


$matricula = $_POST['id'];

$sqlCuota = "SELECT SUM(PM.monto_abonado) AS totalAbonado, PM.monto_matricula, MT.montoCuota FROM matricula MT INNER JOIN pagos_matriculas PM ON MT.Matricula_id = PM.matricula_INT WHERE MT.Matricula_id = '$matricula'";
$queryCuota = mysqli_query($con, $sqlCuota);
$fetchCuota = mysqli_fetch_assoc($queryCuota);

$totalAbonado = $fetchCuota['totalAbonado'];        //MONTO ABONADO HASTA EL MOMENTO
$monto_matricula = $fetchCuota['monto_matricula'];   //MONTO DE LA MATRICULA
$montoCuota = $fetchCuota['montoCuota'];   //MONTO DE LA CUOTA

	if($totalAbonado == $monto_matricula){ //si el total abonado es mayor al costo de matricula - saldo cancelado
		$datos = array(
			0 => '1', 
			1 => '',
			//1 => $sqlCuota, 
			2 => 'sinsaldo',
			3 => $montoCuota
			);
	}else{				
		$datos = array(
			0 => '2',
			1 => 'Gs. '.number_format($monto_matricula - $totalAbonado, 0, ',', "."), //monto de la cuota
			2 => 'consaldo',
			//5 => $sqlCuota,
			3 => $montoCuota
			);
	}
	echo json_encode($datos);
	$con->close();
?>